Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class FilterSet

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.FilterSet

All Implemented Interfaces:
  Filter

    public class FilterSet

extends Object
implements Filter

A filter set applies filters to AuditEvents. If a filter in the set rejects an AuditEvent, then the AuditEvent is rejected. Otherwise, the AuditEvent is accepted.

Author:
  Rick Giles

Constructor Summary
`FilterSet()`

Method Summary
`boolean` | `accept(AuditEvent aEvent)` Determines whether or not a filtered AuditEvent is accepted.
`void` | `addFilter(Filter aFilter)` Adds a Filter to the set.
`void` | `clear()` Clears the FilterSet.
`boolean` | `equals(Object aObject)`
`protected Set` | `getFilters()` Returns the Filters of the filter set.
`int` | `hashCode()`
`void` | `removeFilter(Filter aFilter)` Removes filter.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterSet

    public FilterSet()

Method Detail

### addFilter

    public void addFilter(Filter aFilter)

  Adds a Filter to the set.

  Parameters:
    `aFilter` - the Filter to add.

### removeFilter

    public void removeFilter(Filter aFilter)

  Removes filter.

  Parameters:
    `aFilter` - filter to remove.

### getFilters

    protected Set getFilters()

  Returns the Filters of the filter set.

  Returns:
    the Filters of the filter set.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object aObject)

  Overrides:
    `equals` in class `Object`

### accept

    public boolean accept(AuditEvent aEvent)

  Determines whether or not a filtered AuditEvent is accepted.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `aEvent` - the AudtiEvent to filter.
  Returns:
    true if the aEvent is accepted.

### clear

    public void clear()

  Clears the FilterSet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD